classification
Title: gzip argparse interface
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, matrixise, mdk, miss-islington, xtreak
Priority: normal Keywords: patch

Created on 2015-03-06 00:54 by Antony.Lee, last changed 2018-10-10 06:49 by mdk. This issue is now closed.

Files
File name Uploaded Description Edit
gzip-argparse-cli.patch Antony.Lee, 2015-03-06 00:54 review
Pull Requests
URL Status Linked Edit
PR 9775 merged matrixise, 2018-10-09 16:10
PR 9779 merged miss-islington, 2018-10-09 21:17
PR 9780 merged miss-islington, 2018-10-09 21:17
PR 9781 merged matrixise, 2018-10-09 21:46
Messages (10)
msg237315 - (view) Author: Antony Lee (Antony.Lee) * Date: 2015-03-06 00:54
The attached patch reimplements gzip's already existing command-line interface using argparse, both to provide command-line help and to avoid manual argument parsing.
msg237322 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-03-06 02:22
Thanks for the patch, but we need to add tests for the current CLI to make sure that we don't break anything when we apply gzip-argparse-cli.patch. See Lib/test/test_tarfile.py and Lib/test/test_calendar.py for example CLI tests.
msg327426 - (view) Author: Stéphane Wirtel (matrixise) * (Python triager) Date: 2018-10-09 16:14
Hi Berker,

Here is my PR for this issue.

From this PR, I will add the new CLI with argparse.

And after this issue, I will work on https://bugs.python.org/issue34913
msg327432 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-10-09 19:23
Thanks @matrixise for the PR. This seems to be a good first step for both testing the command line interface and also argparse can generate help string which can be used for issue34913.
msg327437 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-10-09 21:16
New changeset 84eec1199583bcb034e43337bcb8e2b876ebd269 by Julien Palard (Stéphane Wirtel) in branch 'master':
bpo-23596: Add unit tests for the command line for the gzip module (GH-9775)
https://github.com/python/cpython/commit/84eec1199583bcb034e43337bcb8e2b876ebd269
msg327438 - (view) Author: Stéphane Wirtel (matrixise) * (Python triager) Date: 2018-10-09 21:22
And now, I am going to work on the refactoring with argparse
msg327439 - (view) Author: miss-islington (miss-islington) Date: 2018-10-09 21:42
New changeset 482dc9445d834f1d03c501b45fafd422b6eb8c9c by Miss Islington (bot) in branch '3.6':
bpo-23596: Add unit tests for the command line for the gzip module (GH-9775)
https://github.com/python/cpython/commit/482dc9445d834f1d03c501b45fafd422b6eb8c9c
msg327440 - (view) Author: miss-islington (miss-islington) Date: 2018-10-09 21:43
New changeset 8e23ba021f45df67edd2926a3e3daf6a2a1f0ed8 by Miss Islington (bot) in branch '3.7':
bpo-23596: Add unit tests for the command line for the gzip module (GH-9775)
https://github.com/python/cpython/commit/8e23ba021f45df67edd2926a3e3daf6a2a1f0ed8
msg327442 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-10-09 22:41
New changeset e8bbc52debfd1b28517946d65db257e6b6d92e29 by Julien Palard (Stéphane Wirtel) in branch 'master':
bpo-23596: Use argparse for the command line of gzip (GH-9781)
https://github.com/python/cpython/commit/e8bbc52debfd1b28517946d65db257e6b6d92e29
msg327443 - (view) Author: Stéphane Wirtel (matrixise) * (Python triager) Date: 2018-10-09 22:45
I have added some tests for 3.6, 3.7 and 3.8.

But for the new CLI, just for 3.8

now, I am going to close this issue.
History
Date User Action Args
2018-10-10 06:49:12mdksetresolution: fixed
2018-10-09 22:45:13matrixisesetstatus: open -> closed

stage: patch review -> resolved
messages: + msg327443
versions: + Python 3.6, Python 3.7, Python 3.8, - Python 3.5
2018-10-09 22:41:43mdksetmessages: + msg327442
2018-10-09 21:46:14matrixisesetpull_requests: + pull_request9167
2018-10-09 21:43:02miss-islingtonsetmessages: + msg327440
2018-10-09 21:42:31miss-islingtonsetnosy: + miss-islington
messages: + msg327439
2018-10-09 21:22:25matrixisesetmessages: + msg327438
2018-10-09 21:17:18miss-islingtonsetpull_requests: + pull_request9166
2018-10-09 21:17:09miss-islingtonsetpull_requests: + pull_request9165
2018-10-09 21:16:48mdksetnosy: + mdk
messages: + msg327437
2018-10-09 20:02:15Antony.Leesetnosy: - Antony.Lee
2018-10-09 19:23:37xtreaksetnosy: + xtreak
messages: + msg327432
2018-10-09 16:14:13matrixisesetnosy: + matrixise
messages: + msg327426
2018-10-09 16:10:38matrixisesetpull_requests: + pull_request9162
2015-03-06 02:22:24berker.peksagsetnosy: + berker.peksag
messages: + msg237322

type: enhancement
stage: patch review
2015-03-06 00:54:31Antony.Leecreate